Get a validator
GET/accounts/{account_id}/dlp/validators/{validator_id}
Fetches a validator of any kind by ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get a validator
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dlp/validators/$VALIDATOR_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"kind": "proximity_words",
"name": "HIPAA context words",
"referenced_by": {
"entries": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "US Social Security Number",
"type": "custom"
}
],
"entry_count": 3
},
"updated_at": "2019-12-27T18:11:19.117Z",
"words": [
{
"weight": "strong",
"word": "social security number"
}
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"kind": "proximity_words",
"name": "HIPAA context words",
"referenced_by": {
"entries": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "US Social Security Number",
"type": "custom"
}
],
"entry_count": 3
},
"updated_at": "2019-12-27T18:11:19.117Z",
"words": [
{
"weight": "strong",
"word": "social security number"
}
]
}
}